Package org.eclipse.wst.xsl.core.model

## org.eclipse.wst.xsl.core.model
Class XSLAttribute

    public class XSLAttribute
    extends org.eclipse.wst.xsl.core.model.XSLNode

An attribute of an element in the XSL namespace.

## Field Summary

`package-private java.lang.String` | `name`
`package-private java.lang.String` | `value`

## Constructor Summary

`XSLAttribute(org.eclipse.wst.xsl.core.model.XSLElement element , java.lang.String name , java.lang.String value)`

## Method Summary

`public org.eclipse.wst.xsl.core.model.XSLModelObject.Type` | `getModelType()`
`public java.lang.String` | `getName()` Get the name of this.
`public java.lang.String` | `getValue()` Get the value of this.

## Field Detail

## name

`package-private java.lang.String name`

## value

`package-private java.lang.String value`

## Constructor Detail

## XSLAttribute

`public XSLAttribute(org.eclipse.wst.xsl.core.model.XSLElement element , java.lang.String name , java.lang.String value)`

Create a new instance of this.

## Methods Detail

## getModelType

`public org.eclipse.wst.xsl.core.model.XSLModelObject.Type getModelType()`

### Returns

`org.eclipse.wst.xsl.core.model.XSLModelObject.Type`

## getName

`public java.lang.String getName()`

Get the name of this.

### Returns

`java.lang.String` - the attribute's name

## getValue

`public java.lang.String getValue()`

Get the value of this.

### Returns

`java.lang.String` - the attribute's value